Loading...
Searching...
No Matches
RDKit::MolProcessing Namespace Reference

## Namespaces

namespace | details

## Functions

template<typename OutputType = std::uint32_t>
std::vector< std::unique_ptr< ExplicitBitVect > > | getFingerprintsForMolsInFile (const std::string &fileName, const GeneralMolSupplier::SupplierOptions &options=details::defaultSupplierOptions, FingerprintGenerator< OutputType > *generator=nullptr)

## Function Documentation

## getFingerprintsForMolsInFile()

template<typename OutputType = std::uint32_t>

std::vector< std::unique_ptr< ExplicitBitVect > > RDKit::MolProcessing::getFingerprintsForMolsInFile | ( | const std::string & | fileName,
|  | const GeneralMolSupplier::SupplierOptions & | options = details::defaultSupplierOptions,
|  | FingerprintGenerator< OutputType > * | generator = nullptr )

References RDKit::MolProcessing::details::defaultSupplierOptions.